Check permissions
curl --request POST \
--url https://api.example.com/v1/rbac/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"checks": [
{
"rec_type": "<string>",
"permission": "<string>",
"rec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://api.example.com/v1/rbac/check"
payload = { "checks": [
{
"rec_type": "<string>",
"permission": "<string>",
"rec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
checks: [
{
rec_type: '<string>',
permission: '<string>',
rec_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://api.example.com/v1/rbac/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"allowed": true,
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}Management
Check permissions
Check if user has specific permissions
POST
/
v1
/
rbac
/
check
Check permissions
⌘I